.titleBar { margin-bottom: 5px!important; }

Kann Asterisk mit aktuellem Bristuff nicht compilieren

Dieses Thema im Forum "Asterisk ISDN mit Bristuff (hfc, zaptel)" wurde erstellt von dobby, 26 Juli 2005.

  1. dobby

    dobby Neuer User

    Registriert seit:
    26 Juli 2005
    Beiträge:
    26
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hallo Asterisker,

    ich habe momentan Asterisk 1.0.8 mit Bristuff 0.2.0.RC8h am laufen.

    Nun wollte ich auf das akteuelle bristuff 0.2.0.RC8k hochgehen.
    Download und Patch funktioniert.
    Aber beim compilieren con Asterisk bekomme ich folgenden Fehler.
    Sagt Euch das was?

    Code:
    chan_zap.c:8349: error: structure has no member named `progressmask'
    chan_zap.c:8886: error: `PRI_CAUSE_UNKNOWN' undeclared (first use in this function)
    chan_zap.c:8886: error: (Each undeclared identifier is reported only once
    chan_zap.c:8886: error: for each function it appears in.)
    make[1]: *** [chan_zap.o] Error 1
    
    Sachdienliche Hinweise nehme ich gerne entgegen ;-)

    grüsse
    dobby
     
  2. britzelfix

    britzelfix Gesperrt

    Registriert seit:
    28 Mai 2004
    Beiträge:
    1,099
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Ort:
    Braunschweig
    @dobby

    Ja, da liegen noch alte header rum ( /usr/include/linux/zaptel.h).
    Zuerst in's zaptel-dir springen, make & make install,
    dann nochmal asterisk compilieren.


    Gruß
    britzelfix
     
  3. dobby

    dobby Neuer User

    Registriert seit:
    26 Juli 2005
    Beiträge:
    26
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hallo britzelfix,

    danke für die Antwort.
    Leuchtete mir auch direkt ein.

    Da ich die erste Installation nicht gefährden wollte habe ich
    immer nur ein make all aber kein make install
    gemacht.

    Und die Header waren tatsächlich noch die alten.
    Habe alles nochmal kompplett von vorne gemacht, mit
    download und so und dann brav immer auch das
    make install ausgeführt.

    Aber leider laufe ich immer noch auf den genau gleichen Fehler.

    Habe ich noch was übersehen?

    gruss
    dobby
     
  4. britzelfix

    britzelfix Gesperrt

    Registriert seit:
    28 Mai 2004
    Beiträge:
    1,099
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Ort:
    Braunschweig
    @dobby

    Normalerweise reicht es nur die
    download.sh und compile.sh auszuführen.

    Gruß
    britzelfix
     
  5. dobby

    dobby Neuer User

    Registriert seit:
    26 Juli 2005
    Beiträge:
    26
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    <britzelfix> Normalerweise reicht es nur die
    download.sh und compile.sh auszuführen.

    Ja, da hast Du völlig recht.

    Ich habe noch 4 mal versucht.
    Dann alles saubergemacht und nochmals von neuem
    und nichts anderes als
    download.sh
    compile.sh
    und es hat funktioniert.

    Ich weiß leider nicht was schiefgelaufen ist, aber der Fehler lag
    wahrscheinlich wieder knapp oberhalb der Tastatur.

    Sorry für die Mühen.

    gruss
    dobby
     
  6. britzelfix

    britzelfix Gesperrt

    Registriert seit:
    28 Mai 2004
    Beiträge:
    1,099
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Ort:
    Braunschweig
    @dobby

    Kein Prob. Ist doch schön, daß es funktioniert.

    Gruß
    Britzelfix